Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class DataTypeEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          org.apache.commons.lang.enums.ValuedEnum
              org.objectstyle.cayenne.dataview.DataTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class DataTypeEnum

extends org.apache.commons.lang.enums.ValuedEnum

See Also:
  Serialized Form

Field Summary
`static DataTypeEnum` | `BOOLEAN_TYPE`
`static java.lang.String` | `BOOLEAN_TYPE_NAME`
`static int` | `BOOLEAN_TYPE_VALUE`
`static DataTypeEnum` | `DATE_TYPE`
`static java.lang.String` | `DATE_TYPE_NAME`
`static int` | `DATE_TYPE_VALUE`
`static DataTypeEnum` | `DATETIME_TYPE`
`static java.lang.String` | `DATETIME_TYPE_NAME`
`static int` | `DATETIME_TYPE_VALUE`
`static DataTypeEnum` | `DEFAULT_TYPE`
`static java.lang.String` | `DEFAULT_TYPE_NAME`
`static int` | `DEFAULT_TYPE_VALUE`
`static DataTypeEnum` | `DOUBLE_TYPE`
`static java.lang.String` | `DOUBLE_TYPE_NAME`
`static int` | `DOUBLE_TYPE_VALUE`
`static DataTypeEnum` | `INTEGER_TYPE`
`static java.lang.String` | `INTEGER_TYPE_NAME`
`static int` | `INTEGER_TYPE_VALUE`
`static DataTypeEnum` | `MONEY_TYPE`
`static java.lang.String` | `MONEY_TYPE_NAME`
`static int` | `MONEY_TYPE_VALUE`
`static DataTypeEnum` | `OBJECT_TYPE`
`static java.lang.String` | `OBJECT_TYPE_NAME`
`static int` | `OBJECT_TYPE_VALUE`
`static DataTypeEnum` | `PERCENT_TYPE`
`static java.lang.String` | `PERCENT_TYPE_NAME`
`static int` | `PERCENT_TYPE_VALUE`
`static DataTypeEnum` | `STRING_TYPE`
`static java.lang.String` | `STRING_TYPE_NAME`
`static int` | `STRING_TYPE_VALUE`
`static DataTypeEnum` | `UNKNOWN_TYPE`
`static java.lang.String` | `UNKNOWN_TYPE_NAME`
`static int` | `UNKNOWN_TYPE_VALUE`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Constructor Summary
`protected` | `DataTypeEnum(java.lang.String name, int value)`

Method Summary
`static DataTypeEnum` | `getEnum(int dataType)`
`static DataTypeEnum` | `getEnum(java.lang.String dataType)`
`java.lang.Class` | `getEnumClass()`
`static java.util.List` | `getEnumList()`
`static java.util.Map` | `getEnumMap()`
`java.lang.Class` | `getJavaClass()`
`static java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.ValuedEnum
`compareTo, getEnum, getValue, toString`

Methods inherited from class org.apache.commons.lang.enums.Enum
`equals, getEnum, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_TYPE_VALUE

    public static final int UNKNOWN_TYPE_VALUE

See Also:
  Constant Field Values

### OBJECT_TYPE_VALUE

    public static final int OBJECT_TYPE_VALUE

See Also:
  Constant Field Values

### STRING_TYPE_VALUE

    public static final int STRING_TYPE_VALUE

See Also:
  Constant Field Values

### INTEGER_TYPE_VALUE

    public static final int INTEGER_TYPE_VALUE

See Also:
  Constant Field Values

### DOUBLE_TYPE_VALUE

    public static final int DOUBLE_TYPE_VALUE

See Also:
  Constant Field Values

### MONEY_TYPE_VALUE

    public static final int MONEY_TYPE_VALUE

See Also:
  Constant Field Values

### PERCENT_TYPE_VALUE

    public static final int PERCENT_TYPE_VALUE

See Also:
  Constant Field Values

### DATE_TYPE_VALUE

    public static final int DATE_TYPE_VALUE

See Also:
  Constant Field Values

### DATETIME_TYPE_VALUE

    public static final int DATETIME_TYPE_VALUE

See Also:
  Constant Field Values

### BOOLEAN_TYPE_VALUE

    public static final int BOOLEAN_TYPE_VALUE

See Also:
  Constant Field Values

### DEFAULT_TYPE_VALUE

    public static final int DEFAULT_TYPE_VALUE

See Also:
  Constant Field Values

### UNKNOWN_TYPE_NAME

    public static final java.lang.String UNKNOWN_TYPE_NAME

See Also:
  Constant Field Values

### OBJECT_TYPE_NAME

    public static final java.lang.String OBJECT_TYPE_NAME

See Also:
  Constant Field Values

### STRING_TYPE_NAME

    public static final java.lang.String STRING_TYPE_NAME

See Also:
  Constant Field Values

### INTEGER_TYPE_NAME

    public static final java.lang.String INTEGER_TYPE_NAME

See Also:
  Constant Field Values

### DOUBLE_TYPE_NAME

    public static final java.lang.String DOUBLE_TYPE_NAME

See Also:
  Constant Field Values

### MONEY_TYPE_NAME

    public static final java.lang.String MONEY_TYPE_NAME

See Also:
  Constant Field Values

### PERCENT_TYPE_NAME

    public static final java.lang.String PERCENT_TYPE_NAME

See Also:
  Constant Field Values

### DATE_TYPE_NAME

    public static final java.lang.String DATE_TYPE_NAME

See Also:
  Constant Field Values

### DATETIME_TYPE_NAME

    public static final java.lang.String DATETIME_TYPE_NAME

See Also:
  Constant Field Values

### BOOLEAN_TYPE_NAME

    public static final java.lang.String BOOLEAN_TYPE_NAME

See Also:
  Constant Field Values

### DEFAULT_TYPE_NAME

    public static final java.lang.String DEFAULT_TYPE_NAME

See Also:
  Constant Field Values

### UNKNOWN_TYPE

    public static final DataTypeEnum UNKNOWN_TYPE

### OBJECT_TYPE

    public static final DataTypeEnum OBJECT_TYPE

### STRING_TYPE

    public static final DataTypeEnum STRING_TYPE

### INTEGER_TYPE

    public static final DataTypeEnum INTEGER_TYPE

### DOUBLE_TYPE

    public static final DataTypeEnum DOUBLE_TYPE

### MONEY_TYPE

    public static final DataTypeEnum MONEY_TYPE

### PERCENT_TYPE

    public static final DataTypeEnum PERCENT_TYPE

### DATE_TYPE

    public static final DataTypeEnum DATE_TYPE

### DATETIME_TYPE

    public static final DataTypeEnum DATETIME_TYPE

### BOOLEAN_TYPE

    public static final DataTypeEnum BOOLEAN_TYPE

### DEFAULT_TYPE

    public static final DataTypeEnum DEFAULT_TYPE

Constructor Detail

### DataTypeEnum

    protected DataTypeEnum(java.lang.String name,
                           int value)

Method Detail

### getEnum

    public static DataTypeEnum getEnum(java.lang.String dataType)

### getEnum

    public static DataTypeEnum getEnum(int dataType)

### getEnumMap

    public static java.util.Map getEnumMap()

### getEnumList

    public static java.util.List getEnumList()

### iterator

    public static java.util.Iterator iterator()

### getEnumClass

    public final java.lang.Class getEnumClass()

  Overrides:
    `getEnumClass` in class `org.apache.commons.lang.enums.Enum`

### getJavaClass

    public java.lang.Class getJavaClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.